// @ts-check
import { defineConfig } from 'astro/config';
import mdx from '@astrojs/mdx';
import sitemap from '@astrojs/sitemap';
import tailwind from '@astrojs/tailwind';
// import cloudflare from '@astrojs/cloudflare';  // Commented out for local development

// https://astro.build/config
export default defineConfig({
  site: 'https://laforceit.com/blog', // ✅ Real production location
  base: '/blog',                      // ✅ Add this line
  output: 'static',
  integrations: [
    mdx(),
    sitemap(),
    tailwind(),
  ],
  markdown: {
    shikiConfig: {
      theme: 'one-dark-pro',
      wrap: true
    },
    remarkPlugins: [],
    rehypePlugins: []
  },
  compressHTML: false,
  build: {
    format: 'file',
  }
});
